import { Meta } from "@storybook/addon-docs/blocks";

<Meta title="Releases/v0.9.x/v0.9.2/Change log" />

# v0.9.2

## What is new?

👉 SfBanner - adding prop for button link and make SfBanner clickable on mobile

👉 SfCallToAction - adding prop for button link

👉 SfHero - adding prop for button link and make SfHeroItem clickable on mobile

### Props

<table>
  <thead>
    <tr>
      <th colspan="3">Props</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>Component</td>
      <td>Before</td>
      <td>v0.9.2</td>
    </tr>
    <tr>
      <td>SfBanner</td>
      <td>-</td>
      <td>link</td>
    </tr>
    <tr>
      <td>SfCallToAction</td>
      <td>-</td>
      <td>link</td>
    </tr>
    <tr>
      <td>SfHero</td>
      <td>-</td>
      <td>link</td>
    </tr>
  </tbody>
</table>

## Fixes

### Atoms

- SfArrow with transparent modifier on disabled mode
- SfButton text modifier color changed
- SfButton native link in disabled state
- SfCircleIcon in disabled state with color modifier
- SfImage: has null propagation that fails on compilation
- SfInput: label on addition of placeholder value fix
- SfTextarea: fonts and add SfTextarea to form example

### Molecules:

- SfAddressPicker: doesn't react to "selected" prop changes fix
- SfAddressPicker: doesn't emit any events fix
- SfBanner: adding prop for button link
- SfBar: button type for buttons
- SfColorPicker: fix opacity affecting SfColor
- SfGallery: error with enableZoom fix
- SfModal: 'no preview' shows after clicking on button
- SfPagination: stories fixed
- SfSection: remove underline modifier
- SfSelect: clicking on an option results in another being selected instead on MacOS
- SfSelect: fix v-model and stories
- SfSelect: border color change
- SfSelect: unable to find uri in background

### Organisms:

- SfCarousel: duplicated slides fix
- SfCollectedProduct: color and background for remove button
- SfFooter: menu opens without clicking on it
- SfMegaMenu: confusing on theme, adding overlay
- SfProductCard: isAddedToCart prop not changing icon fix
- SfProductCardHorizontal: size and color change from property to select
- SfProductCardHorizontal: storybook example has bug for hover links
- SfTable: add thead element to SfTableHeading and tbody to SfTableRow to avoid ssr mismatch error

### Other:

- adjust example pages styles to new design on figma
- code of conduct added to docs
- modifiers changed to action classes to adjust to current convention
- apply new designs in storybook - category selection, sorting and page size in filters menu on mobile
- jest tests console bugs fix
- updated link to our new designs in figma
- updated config for tailwind
- changes in documentation
